#%include        /usr/lib/rpm/macros.perl
%define real_name Mail-SpamAssassin
%define real_version 3.1.7
Summary:   A spam filter for email which can be invoked from mail delivery agents
Name:      spamassassin
Group:     Trustix Official
Version:   %{real_version}
Release:   1tr
License:   Artistic
Source:    http:/spamassassin.org/released/%{real_name}-%{real_version}.tar.bz2
Source1:   spamassassin.initd
Source2:   spamassassin.sysconfig
Source3:   spamassassin-3.0.2-perlreqexclude.sh
Patch:     spamassassin-confdir.patch
Patch1:    spamassassin-2.63-archiveiterator.patch
Patch2:    spamassassin-perl_path.patch
URL:       http:/spamassassin.org
Prefix:    %{_prefix}
Prereq:    /sbin/chkconfig /sbin/restart_maybe
Requires:  perl-mail-spamassassin = %{version}-%{release}
Requires:  perl-digest-sha1
Requires:  perl-net-dns
BuildRequires:  perl-digest-sha1, perl-html-parser
BuildRequires: perl-net-dns
Buildroot: %{_tmppath}/%{name}-root

# Auto-generated perl.req which need to be excluded
%define __perl_requires %{SOURCE3}

%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%define perl_sitelib %(eval "`%{__perl} -V:installsitelib`"; echo "$installsitelib")

%description
SpamAssassin provides you with a way to reduce, if not completely
eliminate, Unsolicited Bulk Email (or "spam") from your incoming email.
It can be invoked by a MDA such as sendmail or postfix, or can be called
from a procmail script, .forward file, etc.  It uses a
genetic-algorithm-evolved scoring system to identify messages which look
spammy, then adds headers to the message so they can be filtered by the
user's mail reading software.  This distribution includes the
spamd/spamc components which considerably speeds processing of mail.


%package tools
Summary:   Miscellaneous tools and documentation for SpamAssassin
Group: Trustix Official
Requires:  perl-mail-spamassassin = %{version}

%description tools
Miscellaneous tools and documentation from various authors, distributed
with SpamAssassin.  See /usr/share/doc/SpamAssassin-tools-*/.


%package -n perl-mail-spamassassin
Summary:   SpamAssassin e-mail filter Perl modules
Requires:  perl >= 5.004 perl(Pod::Usage) perl(HTML::Parser)
Group: Trustix Official

%description -n perl-mail-spamassassin
Mail::SpamAssassin is a module to identify spam using text analysis and
several internet-based realtime blacklists. Using its rule base, it uses
a wide range of heuristic tests on mail headers and body text to
identify ``spam'', also known as unsolicited commercial email. Once
identified, the mail can then be optionally tagged as spam for later
filtering using the user's own mail user-agent application.


%prep
%setup -q -n %{real_name}-%{real_version}
%patch -p1
%patch1 -p1
%patch2 -p1

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} SYSCONFDIR=%{_sysconfdir} DESTDIR=$RPM_BUILD_ROOT < /dev/null
make
make spamd/libspamc.so


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_initdir}
install -d $RPM_BUILD_ROOT/%{_includedir}
install -d $RPM_BUILD_ROOT/etc/spamassassin
install -d $RPM_BUILD_ROOT/etc/sysconfig
install -d -m 0755 $RPM_BUILD_ROOT/var/lib/spamassassin/shared
# Specify the man dir locations since Perl sometimes gets it wrong... :(
%makeinstall \
    INSTALLMAN1DIR=%{_mandir}/man1 \
    INSTALLMAN3DIR=%{_mandir}/man3 \
    INSTALLSITEMAN1DIR=%{_mandir}/man1 \
    INSTALLSITEMAN3DIR=%{_mandir}/man3 \
    INSTALLVENDORMAN1DIR=%{_mandir}/man1 \
    INSTALLVENDORMAN3DIR=%{_mandir}/man3

install -m 0755 %{SOURCE1}        $RPM_BUILD_ROOT/%{_initdir}/spamassassin
install -m 0644 spamc/libspamc.so $RPM_BUILD_ROOT/%{_libdir}
install -m 0644 spamc/libspamc.h  $RPM_BUILD_ROOT/%{_includedir}/libspamc.h
install -m 0644 rules/local.cf    $RPM_BUILD_ROOT/etc/spamassassin/
install -m 0644 %{SOURCE2}        $RPM_BUILD_ROOT/etc/sysconfig/spamassassin


[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%post
/sbin/chkconfig --add spamassassin
if [ $1 = 2 ]; then
	/sbin/restart_maybe spamassassin
fi

%preun
if [ $1 = 0 ]; then
    /sbin/service spamassassin stop >/dev/null 2>&1
    /sbin/chkconfig --del spamassassin
fi


%files
%defattr(-,root,root,0755)
%doc README Changes sample-nonspam.txt sample-spam.txt 
%doc INSTALL
%attr(0755,root,root) %{_bindir}/*
%attr(0644,root,root) %{_includedir}/*
%attr(0644,root,root) %{_libdir}/*.so
%attr(0755,root,root) %{_initdir}/spamassassin
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/spamassassin
# Shared directory.  Not writeable by rpm default.
%dir /var/lib/spamassassin
%attr(755,root,root) /var/lib/spamassassin/shared
%{_mandir}/man1/*

%files tools
%defattr(-,root,root,0755)
%doc sql tools masses contrib


%files -n perl-mail-spamassassin
%defattr(0644,root,root,0755)
%dir %{perl_sitelib}/Mail/
%{perl_sitelib}/Mail/SpamAssassin.pm
%dir %{perl_sitelib}/Mail/SpamAssassin/
%{perl_sitelib}/Mail/SpamAssassin/*
%dir %{_sysconfdir}/spamassassin
%config(noreplace) %{_sysconfdir}/spamassassin/*
%{_datadir}/spamassassin
%exclude %{perl_archlib}/perllocal.pod
%exclude %{_libdir}/perl5/site_perl/5.8.7/spamassassin-run.pod
%exclude %{perl_sitearch}/auto/Mail/SpamAssassin/.packlist
%{_mandir}/man3/*


%changelog
* Thu Oct 31 2006 Bipin S <bipin at trusitx dot org> 3.1.7-1tr
- New upstream.

* Thu Jun 08 2006 Nived Gopalan <nived at trustix dot org> 3.0.4-4tr
- SECURITY Fix: A vulnerability has been reported in SpamAssassin, which
  can be exploited by malicious people to compromise a vulnerable system.
  SpamAssassin when running with vpopmail and the paranoid (-P) switch,
  allows remote attackers to execute arbitrary commands via a crafted
  message that is not properly handled when invoking spamd with the
  virtual pop username.

  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the name CVE-2006-2447 to this issue.

* Wed Dec 14 2005 Nived Gopalan <nived at trustix dot org> 3.0.4-3tr
- Added Requires and BuildRequires perl-net-dns, Bug #1512.

* Thu Nov 10 2005 Ajith Thampi <ajith at comodo dot com> 3.0.4-2tr
- SECURITY Fix: Fix DOS. This flaw is due to an input validation error
  in "Message.pm" when processing an email containing multiple recipients
  in the "To:" header field, which could be exploited by remote attackers
  to bypass the spam detection procedure by crashing a child process via
  a specially crafted email.

  The Common Vulnerabilities and Exposures project (cve.mitre.org) has
  assigned the name CVE-2005-3351 to this issue.		

* Wed Jun 08 2005 Thushara Gopalakrishnan <thushara at comodo dot com>  3.0.4-1tr
- New upstream

* Mon Jun 06 2005 Ajith Thampi <ajith at comodo dot com> 3.0.3-3tr
- Rebuilt on perl-5.8.7
		
* Sat Apr 30 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 3.0.3-1tr
- New Upstream, fixes possible memory bloat from large AutoWhitelist
  db files. It fixes a bug where user defined rules scores became ignored.

* Wed Apr 20 2005 Ajith Thampi <ajith at comodo dot com> 3.0.2-4tr
- Changed to new init priority

* Thu Mar 31 2005 Ajith Thampi <ajith at comodo dot com> 3.0.2-3tr
- Rebuilt with perl.req fix

* Mon Mar 21 2005 Ajith Thampi <ajith at comodo dot com> 3.0.2-2tr
- Rebuilt
- Fixed Unpackaged Filelist

* Mon Mar 07 2005 Ajith Thampi <ajith at comodo dot com> 3.0.2-1tr
- New Upstream

* Wed Nov 17 2004 Erlend Midttun <erlendbm at trustix dot org> 3.0.1-3tr
- No longer have -a switch in startup.

* Tue Nov  9 2004 Erlend Midttun <erlendbm at trustix dot org> 3.0.1-2tr
- Now also own /var/lib/spamassassin

* Mon Oct  4 2004 Nageswara Sastry <nageswara at comodo dot com>
- Rebuilt for TSL 2.2

* Mon Mar  8 2004 Chr. Toldnes <christht at trustix dot org>
- Rebuilt for TSL 2.1

* Sun Feb 15 2004 Erlend Midttun <erlendbm at trustix dot org> 2.63-6em
- Now incluse /etc/sysconfig/spamassassin in file list too.

* Thu Feb 12 2004 Gerald Dachs <gda at trustix dot org> 2.63-5gd
- fixed permission on directory

* Mon Feb  9 2004 Gerald Dachs <gda at trustix dot org> 2.63-4gd
- removed %postun script

* Sun Feb  8 2004 Gerald Dachs <gda at trustix dot org> 2.63-3gd
- Added Nicos ArchiveIterator patch for Maildir support

* Wed Jan 20 2004 Erlend Midttun <erlendbm at trustix dot org> 2.63-2em
- New path to config files.

* Wed Jan 20 2004 Erlend Midttun <erlendbm at trustix dot org> 2.63-1em
- New upstream.

* Wed Oct 29 2003 Goetz Bock <bg at tawie dot org> 2.60-2bg
- specfile claenups
- wrote startup file
- added patch to move config file to /etc/spamassassin
- build for TSL 2.0 (aka Cloud) Contrib

* Sat Sep 27 2003 Gerald Dachs <gda at badgerix dot de> 2.60-1bx
- adopted to badgerix
- presumably from an rpm by PLD

